## arename 4.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 libpath="lib/site_perl"
 fakeroot="/usr/bin/fakeroot"
 critic=""
-maxwidth="13"
+maxwidth="14"
 
 # the place where *I* keep the sources of arename's "website".
 # The whole updatewebsite-fu is probably not useful for anybody else.
@@ -30,6 +30,7 @@
 	@printf '  test-doc       Check the pod syntax using podchecker\n'
 	@printf '  test-install   Check the installation process\n'
 	@printf '  test-suite     Run the ./tests/*.t test suite\n'
+	@printf '  test-output    Run the ./tests/optest-perl script\n'
 	@printf '  prepare-test-data\n'
 	@printf '                 create audio data for the test suite\n'
 	@printf '  test-help      this text\n'
@@ -51,15 +52,17 @@
 	@chmod -x ARename.pm
 
 doc: genperlscripts
-	@./bin/gendoc.sh
+	@./bin/gendoc.sh arename
+	@./bin/gendoc.sh ataglist
 
 clean:
 	@[ ! -e arename.in ] && { printf 'DO NOT CALL THIS!\n' ; exit 1 ; } || true
-	rm -f arename.html arename.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
+	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
 	rm -Rf tests/data
 
 distclean: clean
 	rm -f *.tar.gz
+	rm -f TAGS tags
 
 install:
 	@./bin/install.sh x arename       "$(prefix)/bin"                        $(maxwidth)
@@ -68,10 +71,15 @@
 
 install-doc:
 	@./bin/install.sh n README        "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n UPGRADING     "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n REPORTING_BUGS "$(prefix)/share/doc/arename"         $(maxwidth)
 	@./bin/install.sh n LICENCE       "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n CHANGES       "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n asdump        "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n arename.html  "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n arename.1     "$(prefix)/share/man/man1"             $(maxwidth)
+	@./bin/install.sh n ataglist.html "$(prefix)/share/doc/arename"          $(maxwidth)
+	@./bin/install.sh n ataglist.1    "$(prefix)/share/man/man1"             $(maxwidth)
 	@./bin/install.sh n arename.hooks "$(prefix)/share/doc/arename/examples" $(maxwidth)
 	@./bin/install.sh n _arename      "$(prefix)/share/doc/arename/examples" $(maxwidth)
 
@@ -83,10 +91,11 @@
 uninstall-doc:
 	@./bin/uninstall.sh d "$(prefix)/share/doc/arename"
 	@./bin/uninstall.sh f "$(prefix)/share/man/man1/arename.1"
+	@./bin/uninstall.sh f "$(prefix)/share/man/man1/ataglist.1"
 
-test: test-check test-doc test-suite
+test: test-check test-doc test-output test-suite
 
-test-all: test-check test-install test-code test-doc test-suite
+test-all: test-check test-install test-code test-doc test-output test-suite
 	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -I. ./arename -V)"
 
 test-check:
@@ -127,6 +136,10 @@
 	 printf '\nPod syntax in "%s" passed all tests - okay.\n\n' "$$PODFILE" ; \
 	)
 
+test-output: genperlscripts
+	perl tests/optest-perl
+	@printf '\n\n  -!- Output routines appear to behaving properly.\n\n'
+
 test-suite: test-check
 	prove -I. -v tests/*.t
 
@@ -151,4 +164,8 @@
 snapshot: clean
 	@./bin/dist.sh -s
 
-.PHONY: install install-doc distclean clean all doc test-check
+tags:
+	ctags --language-force=perl arename.in ARename.pm.in ataglist.in
+	ctags -e --language-force=perl arename.in ARename.pm.in ataglist.in
+
+.PHONY: install install-doc distclean clean all doc test-check tags
