=== debian/changelog ===
arename (4.0-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Remove dont-ignore-gen-script-failures.patch, @ just doesn't print the
    line. The issue with not aborting upon failures in genperlscripts is
    somewhere else. Thanks Frank Terbeck for the hint.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Bump debhelper compatibility level to 9

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Add upstream patch for perl 5.26 compatibility. 
    Thanks to Steve Langasek for the bug report and patch. (Closes: #870234)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Jul 2017 14:52:45 -0400

arename (4.0-3) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"
  * Apply wrap-and-sort
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)
  * Update Homepage URL. (Thanks DUCK!)
  * Add patches for:
    + Fixing FTBFS if building from a git checkout with tags with slashes.
    + Show pod2man errors if there are any. Helps debugging build failures.
    + Not ignoring failures by scripts which are part of the build process.
    + Fixing Perl warning "Possible precedence issue with control flow
      operator" which causes as-installed testing to fail.
  * Mark package as autopkgtestable.
  * Declare compliance with Debian Policy 3.9.6 (no others changes needed).

 -- Axel Beckert <abe@debian.org>  Sat, 23 May 2015 21:09:38 +0200

arename (4.0-2) unstable; urgency=low

  * debian/watch: point to released tarballs.
  * Add VERSION.patch to get the version into the scripts and the
    manpages. Thanks to Frank Terbeck for pointing out my mistake and his
    help with fixing it.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Feb 2012 23:44:57 +0100

arename (4.0-1) unstable; urgency=low

  * Take over for the Debian Perl Group on maintainer's request
    (http://lists.debian.org/debian-perl/2012/01/msg00091.html)
  * debian/control: Changed: Maintainer set to Debian Perl Group <pkg-
    perl-maintainers@lists.alioth.debian.org> (was: Maximilian Gass
    <mxey@cloudconnected.org>); Maximilian Gass <mxey@cloudconnected.org>
    moved to Uploaders.
  * debian/watch: use githubredir.debian.net.

  * New upstream release.
  * Switch to "3.0 (quilt)" source format.
  * debian/copyright: update years of upstream and packaging copyright,
    refresh formatting.
  * Update debian/rules to upstream changes.
  * Switch to debhelper compatibility level 8.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Add perl to Build-Depends-Indep.
  * Replace lib{mp3,flac,ogg}*-perl with libaudio-scan-perl in Depends:.
    (Closes: 655406)
  * Add a patch to fix a documentation typo.
  * Add /me to Uploaders.
  * Add debian/NEWS to point to the UPGRADING file.
  * Update Vcs-* headers.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Feb 2012 19:45:59 +0100

arename (3.1-1) unstable; urgency=low

  * New upstream release
  * Add Vcs headers to debian/control

 -- Maximilian Gass <mxey@cloudconnected.org>  Wed, 25 Nov 2009 16:02:55 +0100

arename (3.0-1) unstable; urgency=low

  * Initial release (Closes: #549353)

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 02 Oct 2009 19:17:07 +0200
