=== debian/control ===
Source: arename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: sound
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/arename.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/computer/arename.html

Package: arename
Architecture: all
Depends: libaudio-scan-perl,
         libreadonly-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.
