=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) genperlscripts
	$(MAKE) doc

override_dh_auto_test:
	# test requires audio test data and LAME

override_dh_auto_install:
	$(MAKE) install prefix=$(TMP)/usr libpath=share/perl5
	$(MAKE) install-doc prefix=$(TMP)/usr
	$(RM) $(TMP)/usr/share/doc/arename/CHANGES
	$(RM) $(TMP)/usr/share/doc/arename/LICENCE
	$(RM) $(TMP)/usr/share/doc/arename/README
	$(RM) $(TMP)/usr/share/doc/arename/*.html
