=== debian/watch ===
version=3

# don't use this:
# http://githubredir.debian.net/github/ft/arename/ v?([\d.]+)\.tar\.gz

https://github.com/ft/arename/downloads .*/ft/arename/arename-([\d.]+)\.tar\.gz$
