## arename 4.0-2maemo1

=== debian/changelog ===
arename (4.0-2maemo1) fremantle; urgency=low
  - Moved to user/multimedia category
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat, 09 Jun 2012 12:16:11 +0200

arename (4.0-2maemo0) fremantle; urgency=low
  * First port for Maemo Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Wed, 11 Apr 2012 16:03:40 +0200
