=== debian/control ===
Source: arename
Section: user/multimedia
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Maximilian Gass <mxey@cloudconnected.org>,
 gregor herrmann <gregoa@debian.org>
Build-Depends: debhelper7 (>= 7), maemo-optify
Build-Depends-Indep: perl
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-perl/packages/arename.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/comp/arename.html

Package: arename
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libreadonly-perl,
 libaudio-scan-perl
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.
