=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNORE
 
 PACKAGE = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/$(PACKAGE)
@@ -20,3 +25,7 @@
 	$(RM) $(TMP)/usr/share/doc/arename/LICENCE
 	$(RM) $(TMP)/usr/share/doc/arename/README
 	$(RM) $(TMP)/usr/share/doc/arename/*.html
+
+override_dh_gencontrol:
+	dh_gencontrol
+	maemo-optify
