## arename 4.1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,7 @@
 critic=""
 maxwidth="14"
 
-# the place where *I* keep the sources of arename's "website".
-# The whole updatewebsite-fu is probably not useful for anybody else.
-ikiroot=/home/hawk/src/web/ft/comp
-ikisubroot=/home/hawk/src/web/subpages.ft/comp/arename
+PERL ?= /usr/bin/perl
 
 all:
 	@printf 'Makefile targets intended for users:\n'
@@ -44,12 +41,9 @@
 	@printf '  clean          clean up working tree\n'
 	@printf '  distclean      same as clean, but removes .tars, too\n'
 	@printf '  genperlscripts generate arename from arename.in\n'
-	@printf '  updateweb      update the autogenerated website\n'
-	@printf '  removeweb      clean up the website'\''s target directory\n'
 
 genperlscripts:
-	@./bin/genperlscripts.sh ARename.pm arename ataglist
-	@chmod -x ARename.pm
+	@$(PERL) ./bin/gps
 
 doc: genperlscripts
 	@./bin/gendoc.sh arename
@@ -57,7 +51,9 @@
 
 clean:
 	@[ ! -e arename.in ] && { printf 'DO NOT CALL THIS!\n' ; exit 1 ; } || true
-	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist ARename.pm
+	rm -f arename.html arename.1 ataglist.html ataglist.1 *.tmp .*~ *~ bin/*~ tests/*~ arename ataglist
+	rm -f optest.pl
+	rm -f */*.pm */*/*.pm */*/*/*.pm
 	rm -Rf tests/data
 
 distclean: clean
@@ -67,7 +63,8 @@
 install:
 	@./bin/install.sh x arename       "$(prefix)/bin"                        $(maxwidth)
 	@./bin/install.sh x ataglist      "$(prefix)/bin"                        $(maxwidth)
-	@./bin/install.sh x ARename.pm    "$(prefix)/$(libpath)/"                $(maxwidth)
+	@./bin/install.sh n modules/ARename.pm "$(prefix)/$(libpath)/"           $(maxwidth)
+	@find modules/ARename -name "*.pm" -exec sh -c 's=$$1; d=$${1%/*}; d=$${d#modules/}; ./bin/install.sh n "$$s" "$(prefix)/$(libpath)/$$d/" $(maxwidth)' {} {} \;
 
 install-doc:
 	@./bin/install.sh n README        "$(prefix)/share/doc/arename"          $(maxwidth)
@@ -80,13 +77,13 @@
 	@./bin/install.sh n arename.1     "$(prefix)/share/man/man1"             $(maxwidth)
 	@./bin/install.sh n ataglist.html "$(prefix)/share/doc/arename"          $(maxwidth)
 	@./bin/install.sh n ataglist.1    "$(prefix)/share/man/man1"             $(maxwidth)
-	@./bin/install.sh n arename.hooks "$(prefix)/share/doc/arename/examples" $(maxwidth)
 	@./bin/install.sh n _arename      "$(prefix)/share/doc/arename/examples" $(maxwidth)
 
 uninstall:
 	@./bin/uninstall.sh f "$(prefix)/bin/arename"
 	@./bin/uninstall.sh f "$(prefix)/bin/ataglist"
 	@./bin/uninstall.sh f "$(prefix)/$(libpath)/ARename.pm"
+	@./bin/uninstall.sh d "$(prefix)/$(libpath)/ARename"
 
 uninstall-doc:
 	@./bin/uninstall.sh d "$(prefix)/share/doc/arename"
@@ -96,7 +93,7 @@
 test: test-check test-doc test-output test-suite
 
 test-all: test-check test-install test-code test-doc test-output test-suite
-	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -I. ./arename -V)"
+	@printf '\nTested: '\''%s'\''\n\n' "$$(perl -Imodules ./arename -V)"
 
 test-check:
 	@[ ! -e tests/data/input.wav ] && { \
@@ -114,12 +111,7 @@
 	)
 
 test-code:
-	@( \
-	 f=arename    ; ./bin/exists_in.sh "$$f" && SCRIPTFILE0="$$f".in || SCRIPTFILE0="$$f" ; \
-	 f=ataglist   ; ./bin/exists_in.sh "$$f" && SCRIPTFILE1="$$f".in || SCRIPTFILE1="$$f" ; \
-	 f=ARename.pm ; ./bin/exists_in.sh "$$f" && SCRIPTFILE2="$$f".in || SCRIPTFILE2="$$f" ; \
-	 CRITIC="$(critic)" ./bin/critic.sh "$${SCRIPTFILE0}" "$${SCRIPTFILE1}" "$${SCRIPTFILE2}" ; \
-	)
+	@CRITIC="$(critic)" sh ./bin/test-code.sh
 
 test-doc:
 	@( \
@@ -141,19 +133,15 @@
 	@printf '\n\n  -!- Output routines appear to behaving properly.\n\n'
 
 test-suite: test-check
-	prove -I. -v tests/*.t
+	prove -Imodules -v tests/*.t
+
+coverage:
+	cover -delete
+	PERL5OPT='-MDevel::Cover=-ignore,.,-select,ARename.pm,+select,ARename/.+\.pm' $(MAKE) test-all
+	cover
 
 prepare-test-data:
 	./bin/gentestsdata.sh
-
-updateweb:
-	@printf 'Updating webpages...\n'
-	@./bin/updatewebsite.sh "$(ikiroot)" "$(ikisubroot)"
-	#make distclean
-
-removeweb:
-	@printf 'Remove webpages...\n'
-	rm -f "$(ikiroot)"/arename.mdwn "$(ikisubroot)"/*
 
 release: clean
 	@./bin/dist.sh -r
@@ -168,4 +156,6 @@
 	ctags --language-force=perl arename.in ARename.pm.in ataglist.in
 	ctags -e --language-force=perl arename.in ARename.pm.in ataglist.in
 
-.PHONY: install install-doc distclean clean all doc test-check tags
+happiness: genperlscripts prepare-test-data tags doc test-all
+
+.PHONY: happiness coverage install install-doc distclean clean all doc test-check tags
