=== debian/changelog ===
arename (4.1-1) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * Fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: Use uscan version 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Nick Morrott ]
  * New upstream version 4.1
  * Enable upstream test-suite at build time
  * Enable upstream test-suite in autopkgtests
  * d/arename.install:
    - Install Zsh completions
  * d/control:
    - Declare compliance with Debian Policy 4.6.0 (no changes)
    - Set Rules-Requires-Root: no
  * d/copyright:
    - Remove dates from Upstream-Contact field
    - Refresh years of Debian copyright
  * d/patches:
    - Add typo-in-manual-page
    - Add no-chown-during-make-install
    - Add disable-output-during-encoding
    - Refresh VERSION.patch
    - Drop following patches applied upstream:
      - spelling.patch
      - unsilent-pod2man.patch
      - 0001-Silence-Unescaped-left-brace-in-regex-warning.patch
    - Drop following patches due to upstream changes:
      - possible-precedence-issue-with-control-flow-operator.patch
      - cope-with-slashes-in-tag-names.patch
  * d/t/p/use-name:
    - Set autopackagetest module name to ARename
  * d/watch:
    - Update Github URL to fix version checking

 -- Nick Morrott <nickm@debian.org>  Sat, 26 Feb 2022 04:40:53 +0000
