=== debian/control ===
Source: arename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: sound
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               flac <!nocheck>,
               id3v2 <!nocheck>,
               lame <!nocheck>,
               libaudio-scan-perl <!nocheck>,
               libreadonly-perl <!nocheck>,
               libtest-exception-perl <!nocheck>,
               vorbis-tools <!nocheck>,
Build-Depends-Indep: perl
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/arename
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/arename.git
Homepage: http://ft.bewatermyfriend.org/computer/arename.html

Package: arename
Architecture: all
Depends: libaudio-scan-perl,
         libreadonly-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: automatic audio file renaming tool
 arename is a tool that is able to rename audio files by looking at a file's
 tagging information. It uses this information to assemble a consistent
 destination file name. The user can define the format of the destination
 filename by the use of template strings.
