=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ https://github.com/ft/arename/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
